<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./style.css">

    <!-- font link -->

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;1,100&display=swap" rel="stylesheet">
</head>
<body>
    <!-- nav -->
    <nav class="navbar" id="navbar">
	    <ul class="navbar-nav">
	      <li class="">
	        <a class="" href="#landingPage">Home</a>
	      </li>
	      <li class="">
	        <a class="" href="#about-us">About Us</a>
	      </li>
	      <li class="">
	        <a class="" href="#gallery">Gallery</a>
	      </li>
	      <li class="">
	        <a class="nav-link" href="#contact-us">Contact Us</a>
	      </li>
	    </ul>
	  </nav>
    
    <div class="jumbotron" id="landingPage">
        <h1>Online Portfolio</h1>
        <h3>Fullstack Developer</h3>
        <h2>Justin Nagar</h3>
        <img src="./images/Profile.jpg" alt="" class="profile-img">
        <p> I'm Justin i like to play around and discover new things and I came across coding.</p>
        <p> Its hard but it pays well so its worth it</p>
    </div>

    <div class="landing-page" id="about-us">
      <div class="landing-page-content">
        <div class="about-us-image">
          <img src="./images/Profile.jpg">
        </div>
        <div class="abous-us-text">
            <h2 id="highlightText">Justin Nagar</h2>
            <p>Greetings to Everyone! I'm Justin Nagar, and I'm now a 19-year-old staying in Caloocan City, Philippines. A student in grade 12 who attends Escuela De Sophia of Caloocan Inc. comes from a technical career background with a focus on information and computer technology.</p>

            <p> I find coding to be really difficult, and I think it takes a lot of effort and dedication to create one. I picked this line of work because it's difficult, creative, and well-paying. Long-term pain is worthwhile because more professions connected to coding will become available in our modern society. Playing video games online and watching any intriguing movies online make up the majority of my pastimes. Currently, lifting weights takes up most of my time.</p>
        </div>
      </div>
    </div>
    
     
    <!-- https://www.linkedin.com/in/justin-nagar-b64528270/ -->
     <!-- Nav bar Script -->
    <script>
        const nav = document.querySelector('#navbar');

            if (window.scrollY >= 10) {
                nav.classList.add('scrolled')
            }

            window.onscroll = () => {
            if (this.scrollY <= 10) {
                nav.classList.remove('scrolled')
            } else {
                nav.classList.add('scrolled')
            }
        };

        const sections = document.querySelectorAll("div");
        const navLinks = document.querySelectorAll(".navbar ul li a");

        function highlightNavLink() {
          const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
          for (let i = 0; i < sections.length; i++) {
            const section = sections[i];
            const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
            const navLink = navLinks[i];
            if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
              navLink.classList.add("navbar-active");
            } else {
              navLink.classList.remove("navbar-active");
            }
          }
        }

        window.addEventListener("scroll", highlightNavLink);
        const h2Elements = document.querySelectorAll("div h2");
        
        function highlightH2() {
        const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
        for (let i = 0; i < sections.length; i++) {
          const section = sections[i];
          const sectionTop = section.getBoundingClientRect().top + window.innerHeight * 0.01;
          const h2 = h2Elements[i];
          if (sectionTop <= scrollPos && sectionTop + section.offsetHeight > scrollPos) {
            h2.classList.add("h2-active");
          } else {
            h2.classList.remove("h2-active");
          }
        }
      }

      window.addEventListener("scroll", highlightH2);

    </script> 
</body>
</html>

